# This file created by conda-build 3.9.1+193.gd10dbde.dirty
# ------------------------------------------------

package:
    name: libopenblas
    version: 0.3.2
source:
    fn: openblas-0.3.2.tar.gz
    patches:
        - 0001-remove-hardcoded-make.patch
        - 0002-Fix-gfortran-detection-for-ctng-based-cross-compilers.patch
    sha256: e8ba64f6b103c511ae13736100347deb7121ba9b41ba82052b1a018a65c0cb15
    url: https://github.com/xianyi/OpenBLAS/archive/v0.3.2.tar.gz
build:
    noarch: false
    number: '0'
    string: hdc02c5d_0
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 h5487866_0
        - gfortran_osx-64 4.8.5 h22b1bf0_3
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libgfortran 3.0.1 h93005f0_2
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - libgfortran 3.0.1 h93005f0_2
    run:
        - libgfortran >=3.0.1
test:
    commands:
        - python -c "import ctypes; ctypes.cdll['${PREFIX}/lib/libopenblas${SHLIB_EXT}']"
    requires:
        - python
about:
    description: 'OpenBLAS is based on GotoBLAS2 1.13 BSD version.

        '
    dev_url: https://github.com/xianyi/OpenBLAS
    doc_source_url: https://github.com/xianyi/OpenBLAS/blob/develop/README.md
    doc_url: http://www.openblas.net/
    home: http://www.openblas.net/
    license: BSD
    license_file: LICENSE
    summary: An Optimized BLAS library
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - gillins
        - groutr
        - isuruf
        - jakirkham
        - jschueller
        - msarahan
